<html lang="en">
<head>
<title>Fold - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Display.html#Display" title="Display">
<link rel="prev" href="Display.html#Display" title="Display">
<link rel="next" href="Hiding-markup.html#Hiding-markup" title="Hiding markup">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Fold"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Hiding-markup.html#Hiding-markup">Hiding markup</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Display.html#Display">Display</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Display.html#Display">Display</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">9.1 Folding editing</h3>

<p>With these commands you can make parts of the text temporarily invisible
to make it easier to see the overall structure of your text.

   <p>When folding a region all the lines but the first will be invisible. 
The first line of the region will still be visible with an ellipsis at
the end.

   <p>See <a href="../emacs/Outline-Mode.html#Outline-Mode">Outline Mode</a>.

     
<a name="index-C_002dc-C_002df-C_002dr-150"></a>
<a name="index-sgml_002dfold_002dregion-151"></a>
<dl><dt><kbd>C-c C-f C-r</kbd><dd>The region between point and mark will be folded (<code>sgml-fold-region</code>).

     <p><a name="index-C_002dc-C_002df-C_002de-152"></a><a name="index-sgml_002dfold_002delement-153"></a><br><dt><kbd>C-c C-f C-e</kbd><dd>The region between the start and end of the current element will be
folded (<code>sgml-fold-element</code>).

     <p>This command can also fold the SGML declaration or the DOCTYPE
declaration.

     <p><a name="index-C_002dc-C_002df-C_002ds-154"></a><a name="index-sgml_002dfold_002dsubelement-155"></a><br><dt><kbd>C-c C-f C-s</kbd><dd>Fold all the sub elements of the current element
(<code>sgml-fold-subelement</code>).

     <p><a name="index-C_002dc-C_002ds-156"></a><a name="index-C_002dc-C_002du-C_002dl-157"></a><a name="index-sgml_002dunfold_002dline-158"></a><br><dt><kbd>C-c C-s</kbd><dt><kbd>C-c C-u C-l</kbd><dd>Unfold the current line, assuming it is the first line of a folded
region (<code>sgml-unfold-line</code>).

     <p><a name="index-C_002dc-C_002du-C_002de-159"></a><a name="index-sgml_002dunfold_002delement-160"></a><br><dt><kbd>C-c C-u C-e</kbd><dd>Make all lines in current element visible (<code>sgml-unfold-element</code>).

     <p><a name="index-C_002dc-C_002du-C_002da-161"></a><a name="index-sgml_002dunfold_002dall-162"></a><br><dt><kbd>C-c C-u C-a</kbd><dd>Make all lines in current buffer visible (<code>sgml-unfold-all</code>).

     <p><a name="index-C_002dc-C_002df-C_002dx-163"></a><a name="index-sgml_002dexpand_002delement-164"></a><br><dt><kbd>C-c C-f C-x</kbd><dd>Unfold current element and then fold the subelements
(<code>sgml-expand-element</code>).  If the current element is folded this
expands what is visible. 
</dl>

<!--  -->
</body></html>

